# No debug package, it's actually noarch but needs to be
# archful to be restricted to 64-bit arches
%define debug_package %{nil}

Name:           steam
Version:        1.0.0.68
Release:        %mkrel 2
Summary:        Installer for the Steam software distribution service
Group:          Games/Other
# Redistribution and repackaging for Linux is allowed, see license file
License:        Steam License Agreement
URL:            https://store.steampowered.com
Source0:        https://repo.steampowered.com/steam/pool/steam/s/steam/%{name}_%{version}.tar.gz

Requires:       gnu-free-mono-fonts
Requires:       libcurl4
Requires:       libdbus-glib1_2
Requires:       libfreetype6
Requires:       libmesagl1
Requires:       libmesaglu1
Requires:       libstdc++6
Requires:       libudev1
Requires:       steam-udevrules
Requires:       xz
Requires:       zenity

# Steam only supports 64-bit Linux now
ExclusiveArch:  x86_64

%description
Installer for the Steam software distribution service.
Steam is a software distribution service with an online store, automated
installation, automatic updates, achievements, SteamCloud synchronized
savegame and screenshot functionality, and many social features.

Important: Steam requires 32-bit libraries to run native Linux games, it
is therefore necessary to enable 32-bit repositories to install this package.
Enable at least Core 32-bit Release and Core 32-bit Updates, as well as any
other repository that matches your enabled 64-bit repositories.

%prep
%autosetup -n %{name}-launcher

%build

%install
%make_install

# Rename steamdeps, it's not working on non-Debian based distros (mga#9407)
mv -f %{buildroot}%{_bindir}/steamdeps %{buildroot}%{_bindir}/steamdeps.save

# Steam hardware udev rules are packaged in the steam-udevrules SRPM in Core
# to be available for third-party libre drivers like steamcontroller.

%files
%doc %{_docdir}/steam/*
%{_bindir}/steam
%{_bindir}/steamdeps.save
%{_prefix}/lib/steam/
%{_datadir}/applications/steam.desktop
%{_iconsdir}/hicolor/*/apps/steam.*
%{_mandir}/man6/steam.6.*
%{_datadir}/pixmaps/steam*.png


%changelog
* Wed Feb 10 2021 akien <akien> 1.0.0.68-2.mga8
+ Revision: 1675119
- Add note about enabling 32-bit repos for installation (mga#27979)

* Thu Dec 17 2020 akien <akien> 1.0.0.68-1.mga8.nonfree
+ Revision: 1660182
- Version 1.0.0.68

* Thu Nov 26 2020 akien <akien> 1.0.0.67-1.mga8.nonfree
+ Revision: 1649381
- Version 1.0.0.67

* Tue Nov 03 2020 akien <akien> 1.0.0.66-1.mga8.nonfree
+ Revision: 1642233
- Version 1.0.0.66

* Sat Jun 27 2020 akien <akien> 1.0.0.64-1.mga8.nonfree
+ Revision: 1599663
- Version 1.0.0.64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Apr 21 2019 akien <akien> 1.0.0.61-1.mga7.nonfree
+ Revision: 1394357
- Version 1.0.0.61

* Sun Jan 27 2019 wally <wally> 1.0.0.59-1.mga7
+ Revision: 1361486
- new version 1.0.0.59

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0.56-2.mga7.nonfree
+ Revision: 1291711
- Mageia 7 Mass Rebuild

* Thu Aug 30 2018 akien <akien> 1.0.0.56-1.mga7.nonfree
+ Revision: 1255723
- Version 1.0.0.56

* Fri Jul 27 2018 akien <akien> 1.0.0.55-2.mga7.nonfree
+ Revision: 1245552
- Disable debug package
- Make build exclusive to x86_64, 32-bit support removed: https://support.steampowered.com/kb_article.php?ref=4090-RTKZ-4347

* Fri Jul 27 2018 akien <akien> 1.0.0.55-1.mga7.nonfree
+ Revision: 1245516
- Version 1.0.0.55

* Thu Nov 24 2016 akien <akien> 1.0.0.54-1.mga6.nonfree
+ Revision: 1069720
- Version 1.0.0.54 (cosmetic update, udev rules update in steam-udevrules)

* Sat Oct 29 2016 akien <akien> 1.0.0.53-1.mga6.nonfree
+ Revision: 1064003
- Version 1.0.0.53

* Sat Apr 30 2016 akien <akien> 1.0.0.52-1.mga6.nonfree
+ Revision: 1008100
- Split udev rules in the steam-udevrules core SRPM to be available for steamcontroller
- Version 1.0.0.52, with HTC Vive udev rules

* Mon Feb 22 2016 akien <akien> 1.0.0.51-3.mga6.nonfree
+ Revision: 976106
- Add libudev1 dependency (mga#17770)

* Mon Nov 30 2015 akien <akien> 1.0.0.51-2.mga6.nonfree
+ Revision: 907385
- Add minimal set of 32-bit libraries needed to run 32-bit games (patch by lukenukem, mga#17199)
- Version 1.0.0.51, adds some changes to udev rules

* Sat Jul 11 2015 akien <akien> 1.0.0.50-2.mga6.nonfree
+ Revision: 853340
- Rename steamdeps script so that the client does not find it (mga#9407)

* Sat Jul 11 2015 akien <akien> 1.0.0.50-1.mga6.nonfree
+ Revision: 853329
- Version 1.0.0.50

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0.49-2.mga5.nonfree
+ Revision: 741326
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 akien <akien> 1.0.0.49-1.mga5.nonfree
+ Revision: 732331
- Version 1.0.0.49 (new icon + udev controller rules)

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0.36-4.mga5.nonfree
+ Revision: 689537
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.0.0.36-3.mga4.nonfree
+ Revision: 548493
- Mageia 4 rebuild

* Wed May 08 2013 luigiwalser <luigiwalser> 1.0.0.36-2.mga3.nonfree
+ Revision: 412603
- require the correct package for libGL.so (mga#9577)

* Mon Apr 01 2013 neoclust <neoclust> 1.0.0.36-1.mga3.nonfree
+ Revision: 407050
- New version: Use tar.gz instead of .deb files

* Sun Mar 31 2013 tv <tv> 1.0.0.25-2.mga3.nonfree
+ Revision: 406862
- requires libGL.so 32 bit

* Sat Feb 09 2013 neoclust <neoclust> 1.0.0.25-1.mga3.nonfree
+ Revision: 397619
- Add real version
  Add Zenity as Require ( needed for licence agreement )

* Fri Feb 08 2013 neoclust <neoclust> 0-1.mga3.nonfree
+ Revision: 397221
- imported package steam

